This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 849455 - (geary) Review Request: geary - A lightweight email program designed around conversations
Review Request: geary - A lightweight email program designed around conversat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 11:35 EDT by Thomas Moschny
Modified: 2012-09-27 01:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-01 02:45:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2012-08-19 11:35:31 EDT
Spec URL: http://thm.fedorapeople.org/geary/geary.spec
SRPM URL: http://thm.fedorapeople.org/geary/geary-0.1.0-1.git4ff24e0.fc17.src.rpm

Description:
Geary is a new email reader for GNOME designed to let you read your
email quickly and effortlessly. Its interface is based on
conversations, so you can easily read an entire discussion without
having to click from message to message. Geary is still in early
development and has limited features today, but we're planning to add
drag-and-drop attachments, lightning-fast searching, multiple account
support and much more. Eventually we'd like Geary to have an
extensible plugin architecture so that developers will be able to add
all kinds of nifty features in a modular way.

Fedora Account System Username: thm
Comment 1 Michel Alexandre Salim 2012-08-20 05:50:54 EDT
Updating Vala in Rawhide and F18, will test this once the Rawhide build lands in the repos.
Comment 2 Thomas Moschny 2012-08-22 05:56:21 EDT
Spec URL: http://thm.fedorapeople.org/geary/geary.spec
SRPM URL: http://thm.fedorapeople.org/geary/geary-0.1.0-1.git5665a4f.fc17.src.rpm

%changelog
* Wed Aug 22 2012 Thomas Moschny <..> - 0.1.0-2.git5665a4f
- Update to current head.
- Remove wildcards from %%files section.
- Do not pack other binaries than 'geary'.
Comment 3 Michel Alexandre Salim 2012-08-23 07:18:48 EDT
Corrected URL below

SRPM URL: http://thm.fedorapeople.org/geary/geary-0.1.0-2.git5665a4f.fc17.src.rpm
Comment 4 Michel Alexandre Salim 2012-08-24 11:35:39 EDT
Every mandatory checks are passed; only test cases are missing, and I'm not able to quickly verify if cmake_install.cmake properly preserves timestamps

Package is APPROVED

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)" For detailed output of licensecheck see file:
     /home/michel/sources/fedora/projects/FedoraReview/src/849455-geary/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
     My F18 machine is currently out of commission, but a previous
     build of Geary using my own, similar spec worked
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: geary-debuginfo-0.1.0-2.git5665a4f.fc19.x86_64.rpm
          geary-0.1.0-2.git5665a4f.fc19.x86_64.rpm
          geary-0.1.0-2.git5665a4f.fc19.src.rpm
geary.x86_64: W: no-manual-page-for-binary geary
geary.src: W: invalid-url Source0: geary-5665a4f.tar.bz2
3 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint geary
geary.x86_64: W: no-manual-page-for-binary geary
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
geary-debuginfo-0.1.0-2.git5665a4f.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

geary-0.1.0-2.git5665a4f.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    hicolor-icon-theme  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo-gobject.so.2()(64bit)  
    libcairo.so.2()(64bit)  
    libcanberra.so.0()(64bit)  
    libgdk-3.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgee.so.2()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmime-2.6.so.0()(64bit)  
    libgnome-keyring.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgthread-2.0.so.0()(64bit)  
    libgtk-3.so.0()(64bit)  
    libjavascriptcoregtk-3.0.so.0()(64bit)  
    libnotify.so.4()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    librt.so.1()(64bit)  
    libsoup-2.4.so.1()(64bit)  
    libsqlite3.so.0()(64bit)  
    libunique-3.0.so.0()(64bit)  
    libwebkitgtk-3.0.so.0()(64bit)  
    rtld(GNU_HASH)  

Provides
--------
geary-debuginfo-0.1.0-2.git5665a4f.fc19.x86_64.rpm:
    
    geary-debuginfo = 0.1.0-2.git5665a4f.fc19
    geary-debuginfo(x86-64) = 0.1.0-2.git5665a4f.fc19

geary-0.1.0-2.git5665a4f.fc19.x86_64.rpm:
    
    geary = 0.1.0-2.git5665a4f.fc19
    geary(x86-64) = 0.1.0-2.git5665a4f.fc19
    mimehandler(x-scheme-handler/mailto)  

MD5-sum check
-------------


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :./fedora-review -v -b 849455 -m fedora-rawhide-x86_64
External plugins:
Comment 5 Thomas Moschny 2012-08-24 14:26:19 EDT
Many thanks for the review!

New Package SCM Request
=======================
Package Name: geary
Short Description: A lightweight email program designed around conversations
Owners: thm
Branches: f18
InitialCC:
Comment 6 Jon Ciesla 2012-08-24 15:17:04 EDT
Git done (by process-git-requests).
Comment 7 Thomas Moschny 2012-09-01 02:45:15 EDT
Imported and built for rawhide.

Cannot build for F18 until vala 0.17.4 is pushed to stable.
Comment 8 Fedora Update System 2012-09-20 13:48:55 EDT
geary-0.1.90-1.git9867509.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/geary-0.1.90-1.git9867509.fc18
Comment 9 Fedora Update System 2012-09-27 01:01:11 EDT
geary-0.1.90-1.git9867509.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.